| HOpenGL Libraries (OpenGL package) | Contents | Index
Graphics.Rendering.OpenGL.GL.SavingState |
Portability | portable
Stability | provisional
Maintainer | sven.panne@aedion.de
Description
This module corresponds to section 6.1.14 (Saving and Restoring State) of the OpenGL 1.5 specs.
Documentation
data ServerAttributeGroup
Constructors
CurrentAttributes |
PointAttributes |
LineAttributes |
PolygonAttributes |
PolygonStippleAttributes |
PixelModeAttributes |
LightingAttributes |
FogAttributes |
DepthBufferAttributes |
AccumBufferAttributes |
StencilBufferAttributes |
ViewportAttributes |
TransformAttributes |
EnableAttributes |
ColorBufferAttributes |
HintAttributes |
EvalAttributes |
ListAttributes |
TextureAttributes |
ScissorAttributes |
MultisampleAttributes |
AllServerAttributes |
Instances
Eq ServerAttributeGroup
Ord ServerAttributeGroup
Show ServerAttributeGroup
preservingAttrib :: [ServerAttributeGroup] -> IO a -> IO a
data ClientAttributeGroup
Constructors
PixelStoreAttributes |
VertexArrayAttributes |
AllClientAttributes |
Instances
Eq ClientAttributeGroup
Ord ClientAttributeGroup
Show ClientAttributeGroup
preservingClientAttrib :: [ClientAttributeGroup] -> IO a -> IO a
Produced by Haddock version 0.7